WABT(1)

NAME
wat-desugar - parse .wat text form and print canonical flat format

SYNOPSIS
wat-desugar [options] file

DESCRIPTION
wat-desugar parses .wat text form as supported by the spec interpreter (s-expressions, flat syntax, or mixed) and prints "canonical" flat format.

The options are as follows:

- -help
    Print a help message

-o, - -output=FILE
    Output file for the formatted file

- -debug-parser
    Turn on debugging the parser of wat files

-f, - -fold-exprs
    Write folded expressions where possible

- -enable-exceptions
    Experimental exception handling

- -disable-mutable-globals
    Import/export mutable globals

- -enable-saturating-float-to-int
    Saturating float-to-int operators

- -enable-sign-extension
    Sign-extension operators

- -enable-simd
    SIMD support

- -enable-threads
    Threading support

- -inline-exports
    Write all exports inline

- -inline-imports
    Write all imports inline

- -generate-names
    Give auto-generated names to non-named functions, types, etc.

EXAMPLES
Write output to stdout

    $ wat-desugar test.wat

Write output to test2.wat

    $ wat-desugar test.wat -o test2.wat

Generate names for indexed variables

    $ wat-desugar --generate-names test.wat

SEE ALSO
wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat2wasm(1,) spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.